Class Application
  Private exmut As System.Threading.Mutex
  Private m_ventanaMaximizada As Boolean = False

  Public ReadOnly Property VentanaMaximizada() As Boolean
    Get
      Return m_ventanaMaximizada
    End Get
  End Property

  Private Sub Application_Startup(sender As Object, e As StartupEventArgs)
    ' Verificar si ya existe una instancia de la aplicación
    Dim nombre_exmut As String = "WPFAplicacion.App"
    Dim nueva As Boolean = False
    exmut = New System.Threading.Mutex(True, nombre_exmut, nueva)
    If Not nueva Then
      Shutdown()
    End If
    ' Simular una iniciación lenta
    System.Threading.Thread.Sleep(3000)

    ' Argumentos en la línea de órdenes
    If e.Args.Length > 0 Then
      If e.Args(0) = "/max" OrElse e.Args(0) = "-max" Then
        m_ventanaMaximizada = True
      End If
    End If
  End Sub

  'Protected Overrides Sub OnStartup(e As StartupEventArgs)
  '  ' Verificar si ya existe una instancia de la aplicación
  '  Dim nombre_exmut As String = "WPFAplicacion.App"
  '  Dim nueva As Boolean
  '  exmut = New System.Threading.Mutex(True, nombre_exmut, nueva)
  '  If Not nueva Then
  '    Shutdown()
  '  End If
  '  ' Simular una iniciación lenta
  '  System.Threading.Thread.Sleep(3000)
  'End Sub
End Class
